﻿using EfFluentApiOM.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace EfFluentApiOM.Controllers
{
    public class HomeController : Controller
    {
        private CountryContext context;
        public HomeController(CountryContext cc)
        {
            context = cc;
        }

        public async Task<string> DeleteCascade()
        {

            Country country = new Country()
            {
                Id = 1
            };

            context.Remove(country);
            await context.SaveChangesAsync();

            return "Success";
        }

        private readonly ILogger<HomeController> _logger;

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}